Bug 403681 - compiz loses titlebar and window decoration settings
compiz loses titlebar and window decoration settings
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ccsm (Show other bugs)
8
All Linux
high Severity low
: ---
: ---
Assigned To: Mohd Izhar Firdaus Ismail
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 19:31 EST by Bryan Che
Modified: 2009-01-09 02:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:29:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bryan Che 2007-11-28 19:31:55 EST
Description of problem:
I have enabled compiz fusion and installed compiz manager to manage my settings.
 Whenever I login, I have no titlebars on any of my windows.  If I go to
system->preferences->look and feel->compiz config settings manager, the "window
decoration" setting is disabled.  Once I enable it, my titlebars come back. 
However, after I logout and login again, my "window decoration" setting is once
again disabled and I have to re-enable it.

I have an Thinkpad T60 and am using the Intel 945 experimental driver.

Version-Release number of selected component (if applicable):
gnome-compiz-manager-0.10.4-2.fc8
compiz-fusion-extras-gnome-0.6.0-1.fc8
compiz-gnome-0.6.2-3.fc8
compiz-fusion-extras-0.6.0-1.fc8
libcompizconfig-devel-0.6.0-3.fc8
compiz-manager-0.6.0-3.fc8
compiz-0.6.2-3.fc8
compiz-fusion-0.6.0-5.fc8
compiz-devel-0.6.2-3.fc8
compiz-fusion-gnome-0.6.0-5.fc8
libcompizconfig-0.6.0-3.fc8
compiz-bcop-0.6.0-1.fc8
compizconfig-python-0.6.0-1.fc8


How reproducible:
very

Steps to Reproduce:
1.login
2.
3.
  
Actual results:
menu bars are gone, and "window decoration" is disabled

Expected results:
menu bars are there, and "window decoration" is enabled

Additional info:
Comment 1 Sebastian Vahl 2007-12-02 09:24:47 EST
(In reply to comment #0)
> Description of problem:
> I have enabled compiz fusion and installed compiz manager to manage my 
settings.

Could you please explain what you've done exactly?
Comment 2 Bryan Che 2007-12-05 10:55:12 EST
I installed compiz manager to manage my compiz settings.  To enable compiz
manager, I followed instructions at
http://lxer.com/module/newswire/view/95366/index.html to modify
/usr/bin/gnome-wm to use ccp rather than gconf.

I used CompizConfig Settings Manager to tweak my system.

Now, my title bars disappear.  This is because
~/.config/compiz/compizconfig/Default.ini changes and drops the setting for some
reason.
Comment 3 Sebastian Vahl 2007-12-07 18:46:44 EST
Just to get this sure: Are you really using the command-line tool 
compiz-manager or the little tool with a gui, which is named similar, 
gnome-compiz-manager? I'm asking because only gnome-compiz-manager is named in 
the linked howto.
Comment 4 Bryan Che 2007-12-08 17:03:52 EST
I'm using the graphical tool that gets launched from system->preferences->look
and feel->compiz config settings manager.  This is also the same graphical tool
you can launch with /usr/bin/ccsm
Comment 5 Sebastian Vahl 2007-12-08 17:13:53 EST
(In reply to comment #4)
> I'm using the graphical tool that gets launched from 
system->preferences->look
> and feel->compiz config settings manager.  This is also the same graphical 
tool
> you can launch with /usr/bin/ccsm

re-assigning to ccsm

Comment 6 Sebastian Vahl 2007-12-08 17:16:43 EST
Short explanation for the re-assign: I don't actual read from the comments 
that compiz-manager is involved here.

@Bryan Che: ccsm isn't able to start compiz itself (afaik)
Comment 7 Anthony Green 2008-03-28 20:49:11 EDT
FWIW, I'm seeing the exact same problem.  Title bars always come back when I
toggle "Enable Desktop Effects" in the "Desktop Effects" dialog box.
Comment 8 Bug Zapper 2008-11-26 03:44:39 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-09 02:29:14 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.